# -*- coding: utf-8 -*-
from odoo import models, fields
class coworker (models.Model):
    _name = 'coworker'
    _description = 'Gestion des utilisateurs de l espace'
    name = fields.Char('Name', required=True)
    firstname = fields.Char('First name', required=True)

    coworkertype = fields.Selection([('staffer', 'Staffer'), ('worker', 'Worker'), ('member', 'Member'), ('volunteer', 'Volunteer'), ('visitor', 'Visitor')])

    companyname = fields.Char('Company', required=False)
    job = fields.Char('Job', required=False)
    street = fields.Char('Street', required=False)
    postalcode = fields.Char('Postal code', required=False)
    city = fields.Char('Ville', required=False)
    phonenumber = fields.Char('Phone number', required=False)
    gsm = fields.Char('GSM', required=False)
    email = fields.Char('Email', required=False)
    url = fields.Char('URL', required=False)
    create_date = fields.Char('Date of creation', required=False)
    note = fields.Text('Note', required=False)

    is_done = fields.Boolean('Done?')
    active = fields.Boolean('Active?', default=True)
